bitel.billing.server.script.global.bean

## Class GlobalScriptLogManager

- java.lang.Object
- - bitel.billing.server.script.global.bean.GlobalScriptLogManager

-     public class GlobalScriptLogManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalScriptLogManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GlobalScriptLog>` | `getScriptLogList(java.util.Date start, java.util.Date end, Page page)` Возвращает постраничный список логов скриптов договора за определенный период
    `java.lang.String` | `writeLog(java.lang.String functionName, java.lang.String out, java.lang.String err, java.lang.String ex, java.util.Calendar startTime)` Записывает лог выполнения глобального скрипта.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalScriptLogManager

          public GlobalScriptLogManager()

  - ### Method Detail

    - #### getScriptLogList

          public java.util.List<GlobalScriptLog> getScriptLogList(java.util.Date start,
                                                                  java.util.Date end,
                                                                  Page page)

      Возвращает постраничный список логов скриптов договора за определенный период
      Parameters:
        `start` - начало периода
        `end` - конец периода
        `page` - страница
      Returns:
        список

    - #### writeLog

          public java.lang.String writeLog(java.lang.String functionName,
                                           java.lang.String out,
                                           java.lang.String err,
                                           java.lang.String ex,
                                           java.util.Calendar startTime)
                                    throws ru.bitel.bgbilling.common.BGException

      Записывает лог выполнения глобального скрипта.
      Parameters:
        `functionName` - имя скрипта
        `report` - лог
        `completeTime` - время завершения выполнения
      Throws:
        `ru.bitel.bgbilling.common.BGException`